DCMTK: DicomDirImagePlugin Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
DicomDirImagePlugin Class Referenceabstract

Abstract interface to pluggable image support for the DICOMDIR class. More...

Inheritance diagram for DicomDirImagePlugin:

## Public Member Functions
virtual | ~DicomDirImagePlugin ()
| destructor (virtual)
virtual OFBool | scaleData (const Uint8 *srcData, const unsigned int srcWidth, const unsigned int srcHeight, Uint8 *dstData, const unsigned int dstWidth, const unsigned int dstHeight) const =0
| scale image (pixel data) to specified size
virtual OFBool | scaleImage (DcmItem *dataset, Uint8 *pixel, const unsigned long count, const unsigned long frame, const unsigned int width, const unsigned int height, const OFBool decompressAll=OFFalse) const =0
| scale image (from DICOM dataset) to specified size

## Protected Member Functions
| DicomDirImagePlugin ()
| constructor (protected)

## Detailed Description

Abstract interface to pluggable image support for the DICOMDIR class.

This is an abstract base class used as an interface to access DICOM images from the DicomDirInterface. The implementation can be found in dcmjpeg/libsrc/ddpiimpl.cc (incl. JPEG support).

## Member Function Documentation

## ◆ scaleData()

virtual OFBool DicomDirImagePlugin::scaleData | ( | const Uint8 * | srcData,
|  | const unsigned int | srcWidth,
|  | const unsigned int | srcHeight,
|  | Uint8 * | dstData,
|  | const unsigned int | dstWidth,
|  | const unsigned int | dstHeight ) const
| pure virtual

scale image (pixel data) to specified size

Parameters

  srcData | pointer to 8 bit source pixel data (original image)
  srcWidth | width of the source image
  srcHeight | height of the source image
  dstData | pointer to 8 bit destination pixel data (scaled image). This array needs to be allocated prior to calling this function.
  dstWidth | width of the destination image
  dstHeight | height of the destination image

Returns
  OFTrue if successful, OFFalse otherwise

Implemented in DicomDirImageImplementation.

## ◆ scaleImage()

virtual OFBool DicomDirImagePlugin::scaleImage | ( | DcmItem * | dataset,
|  | Uint8 * | pixel,
|  | const unsigned long | count,
|  | const unsigned long | frame,
|  | const unsigned int | width,
|  | const unsigned int | height,
|  | const OFBool | decompressAll = OFFalse ) const
| pure virtual

scale image (from DICOM dataset) to specified size

Parameters

  dataset | DICOM dataset where the pixel data is stored (original image)
  pixel | pointer to 8 bit destination pixel data (scaled image). This array needs to be allocated prior to calling this function.
  count | number of bytes allocated for the 'pixel' array
  frame | index of the frame to be scaled (0..n-1)
  width | width of the destination image
  height | height of the destination image
  decompressAll | always decompress complete pixel data if true

Returns
  OFTrue if successful, OFFalse otherwise

Implemented in DicomDirImageImplementation.

The documentation for this class was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/dcddirif.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1